Description

Smart-Proxy should be able to log to a standard syslog daemon.

Especially in an IT landscape with a large number of nodes you usually have a centralized logging infrastructure and Smart-Proxy

should be able to use that if possible. Currently it only supports the output channels of Ruby's Logger class, which is a plain text file

or STDOUT.

Related issues:

Related to Smart Proxy - Feature #8006: Implement logging to stdout/stderr Closed 10/21/2014

Related to Smart Proxy - Refactor #11323: Refactor PID writing, interrupt tra... Closed 08/11/2015

Related to Katello - Feature #21807: Smart proxy status does not report pulp ... New 11/29/2017

History

#1 - 03/31/2011 03:32 AM - Ohad Levy

Syslog support in Ruby seems farily simple.

we can probably replace the custom logger with syslog directly:

require 'syslog'

Syslog.open("foreman-proxy")

Syslog.err "something bad happened" 

Syslog.close

#2 - 11/16/2012 04:48 AM - Benjamin Papillon

I clicked on the wrong button to vote. Too bad I didnt find how to revoke my vote :(

#3 - 05/09/2014 05:16 PM - cristian falcas

I was wandering if this was implemented after all or not?

#4 - 05/12/2014 09:55 AM - Lukas Zapletal

- Description updated

Not yet, patch is welcome.

#5 - 10/21/2014 07:05 AM - Lukas Zapletal

- Related to Feature #8006: Implement logging to stdout/stderr added

#6 - 07/13/2015 11:48 AM - Byron Miller

- Status changed from New to Resolved

Foreman Proxy now allows you to define STDOUT as a log output in /etc/foreman-proxy/settings.yml.   On systemd this will output to

/var/log/messages or whatever you have defined for the service in systemd.
http://www.ruby-doc.org/stdlib/libdoc/logger/rdoc/classes/Logger.html


Systemd manpage:

StandardOutput=

Controls where file descriptor 1 (STDOUT) of the executed processes is connected to. Takes one of inherit, null, tty, journal, syslog, kmsg,

journal+console, syslog+console, kmsg+console or socket.

inherit duplicates the file descriptor of standard input for standard output.

null connects standard output to /dev/null, i.e. everything written to it will be lost.

tty connects standard output to a tty (as configured via TTYPath=, see below). If the TTY is used for output only, the executed process will not

become the controlling process of the terminal, and will not fail or wait for other processes to release the terminal.

journal connects standard output with the journal which is accessible via journalctl(1). Note that everything that is written to syslog or kmsg (see

below) is implicitly stored in the journal as well, the specific two options listed below are hence supersets of this one.

syslog connects standard output to the syslog(3) system syslog service, in addition to the journal. Note that the journal daemon is usually configured

to forward everything it receives to syslog anyway, in which case this option is no different from journal.

kmsg connects standard output with the kernel log buffer which is accessible via dmesg(1), in addition to the journal. The journal daemon might be

configured to send all logs to kmsg anyway, in which case this option is no different from journal.

journal+console, syslog+console and kmsg+console work in a similar way as the three options above but copy the output to the system console as

well.

socket connects standard output to a socket acquired via socket activation. The semantics are similar to the same option of StandardInput=.

This setting defaults to the value set with DefaultStandardOutput= in systemd-system.conf(5), which defaults to journal.

#7 - 11/05/2015 09:07 AM - Lukas Zapletal

- Related to Refactor #11323: Refactor PID writing, interrupt trap and daemon logging added

#8 - 12/05/2017 09:41 AM - Lukas Zapletal

- Related to Feature #21807: Smart proxy status does not report pulp errors added
